Skip to main content
`Ctrl`+`K`

# PetscDSViewFromOptions

View a `PetscDS` based on values in the options database

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSViewFromOptions(PetscDS A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `PetscDS` object

- obj - Optional object that provides the options prefix used in the search

- name - command line option

## See Also

`PetscDSType`, `PetscDS`, `PetscDSView()`, `PetscObjectViewFromOptions()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

## Examples

src/snes/tutorials/ex56.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages